body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    padding: 10px 20px;
    font-family: sans-serif;
    text-transform: uppercase;
    text-decoration: none;
    background: #f1c40f;
    color: #fff;
    font-size: 20px;
    letter-spacing: 2px;
    text-shadow: 0 1px 2px rgba(0,0,0,.5);
}
a:before{
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #2ecc71;
    padding: 10px 20px;
    box-sizing: border-box;
    transform-origin: top;
    transform: perspective(1000px) rotateX(270deg);
    transition: .5s;
}
a:hover:before{
    transform: perspective(1000px) rotateX(0deg);
}
a:after{
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #e74c3c;
    padding: 10px 20px;
    box-sizing: border-box;
    transform-origin: bottom;
    transform: perspective(1000px) rotateX(270deg);
    transition: .5s;
    transition-delay: .5s;
}
a:hover:after{
    transform: perspective(1000px) rotateX(0deg);
}
